## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

---

### Get Data For Connection Data Source

**POST** /v1/connection-data-source/{connectionDataSourceId}/get-data

**cURL**

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "limit": 1,
  "offset": 1
}
'
```

**Python**

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data"

payload = {
    "engagementId": "<string>",
    "limit": 1,
    "offset": 1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({engagementId: '<string>', limit: 1, offset: 1})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'engagementId' => '<string>',
    'limit' => 1,
    'offset' => 1
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data"

payload := strings.NewReader("{\n  \"engagementId\": \"<string>\",\n  \"limit\": 1,\n  \"offset\": 1\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java**

```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"engagementId\": \"<string>\",\n  \"limit\": 1,\n  \"offset\": 1\n}")
  .asString();
```

**Ruby**

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"engagementId\": \"<string>\",\n  \"limit\": 1,\n  \"offset\": 1\n}"

response = http.request(request)
puts response.read_body
```

### Response Structure

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}
```

### Authorizations

**Authorization**

- Type: string
- In: header
- Required: Yes
- Format: `Bearer <token>`  
- Where `<token>` is your auth token.

### Path Parameters

- **connectionDataSourceId**: string (required)

### Request Body

- **engagementId**: string (required)  
  Identifies the engagement that the resulting Data Table will be associated with.
- **limit**: integer (optional)  
  Maximum number of rows to return. If not set, all matching rows are returned. Required range: `x >= 0`
- **offset**: integer (optional)  
  Number of rows to skip before returning results. If not set, results start from the first row. Required range: `x >= 0`

### Response Codes

**202 - Accepted**  
The job has been accepted and is in progress.
